Bug 9678 - running fbset on machine w/X hangs machine
running fbset on machine w/X hangs machine
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: fbset (Show other bugs)
6.2
sparc Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-22 12:04 EST by Brock Organ
Modified: 2014-03-16 22:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-27 07:00:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brock Organ 2000-02-22 12:04:14 EST
running fbset on machine w/X hangs machine (ultra1.test.redhat.com):

[root@ultra1 /root]# strace fbset 2>&1 | tee strace.fbset.log
execve("/usr/sbin/fbset", ["fbset"], [/* 25 vars */]) = 0
brk(0)                                  = 0x26ed0
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or
directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=22607, ...}) = 0
mmap(NULL, 22607, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7001c000
close(3)                                = 0
open("/lib/libc.so.6", O_RDONLY)        = 3
fstat(3, {st_mode=S_IFREG|0755, st_size=4351896, ...}) = 0
read(3, "\177ELF\1\2\1\0\0\0\0\0\0\0\0\0\0\3\0\22\0\0\0\1\0\1\351"...,
8192) = 8192
mmap(NULL, 1115448, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 0x7002c000
mprotect(0x70124000, 99640, PROT_NONE)  = 0
mmap(0x7012c000, 57344, PROT_READ|PROT_WRITE|PROT_EXEC,
MAP_PRIVATE|MAP_FIXED, 3, 0xf0000) = 0x7012c000
mmap(0x7013a000, 9528, PROT_READ|PROT_WRITE|PROT_EXEC,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7013a000
close(3)                                = 0
munmap(0x7001c000, 22607)               = 0
personality(PER_LINUX)                  = 0
getpid()                                = 832
open("/dev/fb0", O_RDONLY)              = 3
ioctl(3, FBIOGET_VSCREENINFO, 0xeffff9d8) = 0
fstat(1, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x7001c000
<--- at this point the machine is hung, you cannot access it via console,
or remotely (though you can still ping it), so a hard reboot is necessary
to restore the system...
Comment 1 Preston Brown 2001-03-23 16:49:40 EST
can't duplicate this with fbset 2.1.


Note You need to log in before you can comment on or make changes to this bug.